Name:		spamdyke
Version:	5.0.0
Release:	1.1
License:	GPL
Group:		Productivity/Networking/Email/Utilities
Summary:	A drop-in connection-time spam filter for qmail
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}.conf
Patch0:		%{name}-makefile.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-build

BuildRequires:	openssl-devel

%description
spamdyke is a filter for monitoring and intercepting SMTP connections 
between a remote host and a qmail server. Spam is blocked while the 
remote server (spammer) is still connected; no additional processing or storage is needed.

In addition to all of its anti-spam filters, spamdyke also includes a number of features to enhance qmail.


%prep
%setup 
%patch0

%build
cd spamdyke
./configure --prefix=%{_prefix} \
--sysconfdir=%{_sysconfdir}/%{name} \
--libdir=%{_libdir} \
--localstatedir=%{_localstatedir} \
--datadir=%{_datadir} \
--mandir=%{_mandir} \
--enable-tls

%__make

%install
%__install -m 755 -d %{buildroot}/%{_bindir}
%__install -m 755 -d %{buildroot}/%{_sysconfdir}/%{name}/conf.d
%__install -m 644 documentation/spamdyke.conf.example %{buildroot}/%{_sysconfdir}/%{name}/spamdyke.conf.example
%__install -m 644 %{S:1} %{buildroot}/%{_sysconfdir}/%{name}/spamdyke.conf
cd spamdyke; %__make DESTDIR=%{buildroot} PREFIX=%{_prefix} install
cd ../ ; chmod -x documentation/*.txt documentation/*.html

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc documentation/*.txt documentation/*.html
%{_bindir}/%{name}
%dir %{_sysconfdir}/%{name}
%dir %{_sysconfdir}/%{name}/conf.d
%config(noreplace) %{_sysconfdir}/%{name}/spamdyke.conf*

%changelog
* Mon Feb  3 2014 cs@linux-administrator.com
- update to release 5.0.0
